## zope.deprecation 5.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/zopedeprecation.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/zopedeprecation.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/zopedeprecation"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/zopedeprecation"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## zope.deprecation 3.4.1

=== debian/changelog ===
zope.deprecation (3.4.1-1ubuntu1) oneiric; urgency=low

  * Merge with Debian.  Remaining changes:
    - debian/control:
      + add X-Python-Version
      + Build-Depends on python-all (>= 2.6.6-3~)
      + Suggests: python-zope.testing
    - debian/tests: files for autopkgtest.
    - debian/copyright: format like other Zope packages, no debian/* section.
  * debian/control: add Vcs-Svn, Vcs-Browser.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 03 Aug 2011 15:27:14 +0300

zope.deprecation (3.4.1-1) unstable; urgency=low

  * New upstream release
  * copyright: DEP-5 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 20 Jun 2011 11:19:14 +0900

zope.deprecation (3.4.0-2) unstable; urgency=low

  * Switch to dh_python2.
  * Bump Standards-Version to 3.9.2 (with no changes). 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 May 2011 15:42:54 +0900

zope.deprecation (3.4.0-1) unstable; urgency=low

  * Initial release (Closes: #604999)

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 26 Nov 2010 10:40:54 +0900

=== debian/control ===
Source: zope.deprecation
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.2
X-Python-Version: >= 2.4
Homepage: http://pypi.python.org/pypi/zope.deprecation
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.deprecation/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.deprecation/trunk

Package: python-zope.deprecation
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-zope.testing
Description: Zope 3 Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.

## zope.deprecation 3.5.0

=== debian/changelog ===
zope.deprecation (3.5.0-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 30 Sep 2011 22:32:44 +0200

zope.deprecation (3.5.0-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 20 Sep 2011 11:38:35 +0900

zope.deprecation (3.4.1-2) unstable; urgency=low

  * debian/control:
    - add X-Python-Version, Vcs-Svn, Vcs-Browser.
    - Build-Depends on python-all (>= 2.6.6-3~)
    - suggest python-zope.testing
    - remove ${python:Provides}, discouraged
  * debian/copyright: format like other Zope packages, no debian/* section.
  * debian/docs: replace README.txt with the one from src.
  * debian/tests: add files for autopkgtest.

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 03 Aug 2011 16:53:28 +0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zope.deprecation
 Section: python
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
+Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
 Standards-Version: 3.9.2

## zope.deprecation 3.5.1

=== debian/changelog ===
zope.deprecation (3.5.1-1) unstable; urgency=low

  * New upstream release
  * Bump[ Standards-Version to 3.9.3.
    + debian/copyright: Update to copyright-format 1.0. 

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 24 Mar 2012 11:22:25 +0900

## zope.deprecation 4.0.0

=== debian/changelog ===
zope.deprecation (4.0.0-1) unstable; urgency=low

  * New upstream release

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 10 Jun 2012 20:23:34 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>
 Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.4
 Homepage: http://pypi.python.org/pypi/zope.deprecation
 Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.deprecation/trunk

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/z/zope.deprecation/zope.deprecation-(.*)\.tar\.gz

## zope.deprecation 4.0.2

=== debian/changelog ===
zope.deprecation (4.0.2-1) unstable; urgency=low

  [ Gediminas Paulauskas ]
  * New upstream release.

  [ TANIGUCHI Takaki ]
  * Change the section to zope.

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 08 Oct 2013 13:18:25 +0900

=== debian/control ===
Source: zope.deprecation
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper (>= 7), python-all (>= 2.6.6-3~), python-setuptools
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://pypi.python.org/pypi/zope.deprecation
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.deprecation/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.deprecation/trunk

Package: python-zope.deprecation
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-zope.testing
Description: Zope Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.

## zope.deprecation 4.1.1

=== debian/changelog ===
zope.deprecation (4.1.1-3) unstable; urgency=medium

  * Simplify DEP-8 tests so that they just ensure that the package is
    importable in both Python 2 and Python 3.
  * Add myself to Uploaders.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 15:13:44 -0400

zope.deprecation (4.1.1-2) unstable; urgency=medium

  * Team upload.
  * debian/copyright: Add Files-Excluded to prune pre-build Sphinx
    artifacts in docs/_build/html/_static from the original tarball.
    Closes: #752078

 -- Barry Warsaw <barry@debian.org>  Thu, 19 Jun 2014 14:34:48 -0400

zope.deprecation (4.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/control:
    - Added Python 3 Build-Depends.
    - Added X-Python3-Version header.
    - Bumped Standards-Version to 3.9.5 with no other changes necessary.
    - Added python3-zope.deprecation binary package.
    - Added XS-Testsuite for DEP-8 test support.  (Closes: #692675)
  * debian/rules:
    - Switch to pybuild build system.
    - Add --with python3.

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 10:05:30 -0400

=== debian/control ===
Source: zope.deprecation
Section: zope
Priority: extra
Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Barry Warsaw <barry@debian.org>
Build-Depends: debhelper (>= 7),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.5
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Homepage: http://pypi.python.org/pypi/zope.deprecation
Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.deprecation/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.deprecation/trunk
XS-Testsuite: autopkgtest

Package: python-zope.deprecation
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-zope.testing
Description: Zope Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.
 .
 This is the Python 2 version.

Package: python3-zope.deprecation
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Suggests: python3-zope.testing
Description: Zope Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.deprecation

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

## zope.deprecation 4.1.2

=== debian/changelog ===
zope.deprecation (4.1.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: 
    - Bump Standards-Version with no other changes necessary.
    - Bump debhelper version to 9.
    - Add Build-Depends on python{,3}-sphinxdoc
  * d/compat: Bump to version 9.
  * d/rules: Add --with sphinxdoc (Closes: #751798)
  * d/watch: Use pypi.debian.net redirector.

 -- Barry Warsaw <barry@debian.org>  Tue, 09 Jun 2015 18:34:57 -0400

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,16 @@
 Section: zope
 Priority: extra
 Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
-Uploaders: TANIGUCHI Takaki <takaki@debian.org>, Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 7),
+Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
+           Barry Warsaw <barry@debian.org>
+Build-Depends: debhelper (>= 9),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-setuptools,
+               python-sphinx | python3-sphinx,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 Homepage: http://pypi.python.org/pypi/zope.deprecation

## zope.deprecation 4.4.0

=== debian/changelog ===
zope.deprecation (4.4.0-1) unstable; urgency=medium

  * New upstream version 4.4.0

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 12 Dec 2018 22:33:21 +0900

zope.deprecation (4.3.0-1) unstable; urgency=medium

  * New upstream version 4.3.0
  * Bump Stanrads-Version to 4.2.1
  * debian/compat: 11
  * d/control:
    - Remove ancient X-Pyhthon*-Version
    - Drop python2 sphinx from B-D.
    - Move Vcs-* to salsa.d.o
    - Replace deprecated priority extra

 -- TANIGUCHI Takaki <takaki@debian.org>  Wed, 10 Oct 2018 14:02:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,20 @@
 Source: zope.deprecation
 Section: zope
-Priority: extra
+Priority: optional
 Maintainer: Debian/Ubuntu Zope Team <pkg-zope-developers@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
            Barry Warsaw <barry@debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python-all (>= 2.6.6-3~),
                python-setuptools,
-               python-sphinx | python3-sphinx,
+               python3-sphinx,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.6
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Standards-Version: 4.2.1
 Homepage: http://pypi.python.org/pypi/zope.deprecation
-Vcs-Svn: svn://svn.debian.org/pkg-zope/zope.deprecation/trunk
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-zope/zope.deprecation/trunk
+Vcs-Git: https://salsa.debian.org/debian/zope.deprecation.git
+Vcs-Browser: https://salsa.debian.org/debian/zope.deprecation
 XS-Testsuite: autopkgtest
 
 Package: python-zope.deprecation

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.deprecation

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/zope.deprecation/zope.deprecation-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.deprecation 5.0

=== debian/changelog ===
zope.deprecation (5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #1057473.
  * Mark autopkg test as superficial. Closes: #974514.
  * Run the tests using zope.testrunner.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Tue, 05 Dec 2023 16:10:53 +0100

zope.deprecation (4.4.0-5) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.6.1.
  * d/control: Use actual GitHub upstream.
  * d/control: Add ${sphinxdoc:Depends} (lintian).

 -- Boyuan Yang <byang@debian.org>  Fri, 13 May 2022 21:51:02 -0400

zope.deprecation (4.4.0-4) unstable; urgency=medium

  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 11 to 12.
  * Remove unnecessary XS-Testsuite field in debian/control.
  * Change Maintainer to DPMT.

 -- TANIGUCHI Takaki <takaki@debian.org>  Fri, 13 Sep 2019 12:18:30 +0900

zope.deprecation (4.4.0-3) unstable; urgency=medium

  * QA upload.
  * Remove the Python2 autopkg test.

 -- Matthias Klose <doko@debian.org>  Sat, 07 Sep 2019 06:50:34 +0200

zope.deprecation (4.4.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package.
  * Stop building the Python2 package.
  * Fix lintian warnings.

 -- Matthias Klose <doko@debian.org>  Fri, 06 Sep 2019 11:02:41 +0200

=== debian/control ===
Source: zope.deprecation
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: dh-python,
               python3-sphinx,
               python3-all,
               python3-setuptools,
               python3-zope.testrunner,
               debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/zopefoundation/zope.deprecation
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.deprecation.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.deprecation

Package: python3-zope.deprecation
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Suggests: python3-zope.testing
Description: Zope Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.
 .
 This is the Python 3 version.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=zope.deprecation

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m zope.testrunner --test-path=src --verbose --progress --color" dh_auto_test

=== debian/tests/control ===
Tests: all-3
Restrictions: superficial
Depends: @

## zope.deprecation 5.1

=== debian/changelog ===
zope.deprecation (5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Use pybuild-plugin-pyproject.
  * Switch to autopkgtest-pkg-pybuild.
  * Use dh-sequence-python3 and dh-sequence-sphinxdoc.
  * Remove obsolete "Suggests: python3-zope.testing".
  * Run doctests.

 -- Colin Watson <cjwatson@debian.org>  Mon, 03 Feb 2025 17:27:29 +0000

=== debian/control ===
Source: zope.deprecation
Section: zope
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Colin Watson <cjwatson@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               dh-sequence-sphinxdoc,
               pybuild-plugin-pyproject,
               python3-all,
               python3-setuptools,
               python3-sphinx <!nocheck>,
               python3-zope.testrunner <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://github.com/zopefoundation/zope.deprecation
Vcs-Git: https://salsa.debian.org/python-team/packages/zope.deprecation.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.deprecation
Testsuite: autopkgtest-pkg-pybuild

Package: python3-zope.deprecation
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
Description: Zope Deprecation Infrastructure
 This package provides a simple function called 'deprecated(names, reason)' to
 mark deprecated modules, classes, functions, methods and properties.
 .
 This is the Python 3 version.

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/zope.deprecation/zope.deprecation-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## zope.deprecation 6.0

=== debian/changelog ===
zope.deprecation (6.0-2) unstable; urgency=medium

  * Mark python3-zope.deprecation Multi-Arch: foreign.

 -- Colin Watson <cjwatson@debian.org>  Sun, 21 Sep 2025 00:24:40 +0100

zope.deprecation (6.0-1) unstable; urgency=medium

  * d/watch: Upgrade to v5.
  * New upstream release.
  * Standards-Version: 4.7.2.

 -- Colin Watson <cjwatson@debian.org>  Mon, 15 Sep 2025 12:24:20 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-setuptools,
                python3-sphinx <!nocheck>,
                python3-zope.testrunner <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/zopefoundation/zope.deprecation
 Vcs-Git: https://salsa.debian.org/python-team/packages/zope.deprecation.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/zope.deprecation
@@ -21,6 +21,7 @@
 Package: python3-zope.deprecation
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Zope Deprecation Infrastructure
  This package provides a simple function called 'deprecated(names, reason)' to
  mark deprecated modules, classes, functions, methods and properties.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME := zope.deprecation
export PYBUILD_TEST_CUSTOM := 1
export PYBUILD_TEST_ARGS := \
	PYTHONPATH=. {interpreter} -m zope.testrunner --test-path $(if $(PYBUILD_AUTOPKGTEST),/usr/lib/python3/dist-packages,.) --package zope.deprecation -vv && \
	PYTHONPATH=. {interpreter} -m sphinx.cmd.build -b doctest docs ../doctest

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Source: https://pypi.debian.net/zope.deprecation/
Matching-Pattern: zope.deprecation-@ANY_VERSION@@ARCHIVE_EXT@
